My Oracle Support Banner

WebLogic Server: Getting "Invalid class loader hierarchy" Exceptions During Deployment (Doc ID 1327380.1)

Last updated on AUGUST 12, 2021

Applies to:

Oracle WebLogic Server - Version 9.2 and later
Information in this document applies to any platform.
***Checked for relevance on 21-Nov-2012***

Symptoms

In WebLogic Server, getting below "Invalid class loader hierarchy" exception with "more than one version of class" error message was reported. Below is exception trace in logs at the time of the issue. In this example, "org.apache.commons.logging.LogConfigurationException" is the class which is throwing the "Invalid class loader hierarchy" exception, but this exception can be caused by any class.

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Cause
Solution


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.